package com.mydomain.helloworld;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.List;
import java.util.Arrays;

@Name("auctionBidList")
public class AuctionBidList extends EntityQuery {

	private static final String[] RESTRICTIONS = {};

	private AuctionBid auctionBid = new AuctionBid();

	@Override
	public String getEjbql() {
		return "select auctionBid from AuctionBid auctionBid";
	}

	@Override
	public Integer getMaxResults() {
		return 25;
	}

	public AuctionBid getAuctionBid() {
		return auctionBid;
	}

	@Override
	public List<String> getRestrictions() {
		return Arrays.asList(RESTRICTIONS);
	}

}
