package com.mydomain.helloworld;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("auctionAddressHome")
public class AuctionAddressHome extends EntityHome<AuctionAddress> {

	@In(value = "#{auctionUserHome.instance}", required = false)
	AuctionUser auctionUser;

	public void setAuctionAddressAddressId(Integer id) {
		setId(id);
	}

	public Integer getAuctionAddressAddressId() {
		return (Integer) getId();
	}

	@Override
	protected AuctionAddress createInstance() {
		AuctionAddress result = new AuctionAddress();
		result.setAuctionUser(auctionUser);
		return result;
	}

}
